网站链接: element-ui dtcms
当前位置: 首页 > 技术博文  > 技术博文

mac下pip install 安装只能选择python2.7的问题

2021/4/16 6:50:02 人评论

mac自带python2.7。 我用brew install安装过python3:brew install python3 我安装了anaconda3。因为它自带了很多包。所以我无论是用pycharm编程还是jupyter notebook一直都用的是anaconda3带的python。 后来发现用pip install 安装的包,在pycharm工程中用不了。更有…

mac自带python2.7。
我用brew install安装过python3:brew install python3
我安装了anaconda3。因为它自带了很多包。所以我无论是用pycharm编程还是jupyter notebook一直都用的是anaconda3带的python。
后来发现用pip install 安装的包,在pycharm工程中用不了。更有甚者,有时候用pip install 安装不了,例如allennlp。虽然我可以用pip3 install allennlp安装。但是安装之后发现包并不在anaconda的site package下面。
在这里插入图片描述

我怎么能让pip3安装包安装到anaconda带的python中呢?
参考文章之后发现安装anaconda之后需要配置python和pip3 的环境变量以及alias。而我之前只配置了环境变量没有配置alias。

alias python="/Applications/anaconda3/bin/python3.6"
alias pip3="/Applications/anaconda3/bin/pip"

source之后,重启shell。问题解决。

相关资讯

    暂无相关的数据...

共有条评论 网友评论

验证码: 看不清楚?